# Class MOperatingSystemNameConverter

java.lang.Object
com.io7m.montarre.cmdline.converters.MOperatingSystemNameConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<MOperatingSystemName>`

public final class MOperatingSystemNameConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<MOperatingSystemName>
A value converter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MOperatingSystemNameConverter()`
  A value converter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<MOperatingSystemName>`
  `convertedClass()`
  `MOperatingSystemName`
  `convertFromString(String text)`
  `String`
  `convertToString(MOperatingSystemName value)`
  `MOperatingSystemName`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MOperatingSystemNameConverter

    public MOperatingSystemNameConverter()
    A value converter.

- ## Method Details

  - ### convertFromString

    public MOperatingSystemName convertFromString(String text)
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<MOperatingSystemName>`

  - ### convertToString

    public String convertToString(MOperatingSystemName value)
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<MOperatingSystemName>`

  - ### exampleValue

    public MOperatingSystemName exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<MOperatingSystemName>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<MOperatingSystemName>`

  - ### convertedClass

    public Class<MOperatingSystemName> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<MOperatingSystemName>`